Bug 392503 - holidays for India (in_en-gb) not complete
Summary: holidays for India (in_en-gb) not complete
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kholidays
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.44.0
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-29 20:18 UTC by sk.griffinix
Modified: 2018-04-02 19:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.45


Attachments
holiday file for india (8.19 KB, text/plain)
2018-03-30 19:18 UTC, sk.griffinix
Details
holiday file for india (spellings corrected) (8.19 KB, text/plain)
2018-03-31 04:42 UTC, sk.griffinix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sk.griffinix 2018-03-29 20:18:49 UTC
the holiday list for india is incomplete. Does not provide dates for important festivals which are gazetted holidays. they are however based on lunar calendar and may have variable dates on georgian calendar.
also the equinoxes and solstices are listed as holidays, though they are not
Comment 1 Christophe Giboudeaux 2018-03-30 08:05:20 UTC
Do you want to submit a patch ?

The code can be found in the kholidays repository (https://cgit.kde.org/kholidays.git/)

The file format is explained in the file-format.txt file and the holidays files are in the plan2/ folder.
Comment 2 sk.griffinix 2018-03-30 09:05:07 UTC
I have little experience in programming but i will try
Comment 3 Christophe Giboudeaux 2018-03-30 09:23:42 UTC
Thanks !
Comment 4 sk.griffinix 2018-03-30 10:02:03 UTC
This might be more difficult than anticipated. The holidays are based on hindu calendar, which varies from the georgian calendar. The indiannational calender that is supported also corresponds to georgian calendar. The closest one to hindu calendar is the hebrew calendar, but its not exactly corresponding. The best bet would be to add support for hindu calendar. Alternatively, if the dates of holidays in hindu calendar can be compared to hebrew one, and if they are found to match for reasonable number of years, then the holiday file can be created with dates referred with the hebrew calendar. However i lack the resources to compare them. If someone can point me, i would be prepared to verify
Comment 5 Christophe Giboudeaux 2018-03-30 10:37:15 UTC
I'm afraid you're right, the lunar calendar doesn't seem to be supported.

A solution could be specifying the days for each year (starting with 2018 and for a couple years).

That's what was done eg. in the indonesian file (holiday_id_id)
Comment 6 sk.griffinix 2018-03-30 19:18:43 UTC
Created attachment 111742 [details]
holiday file for india
Comment 7 sk.griffinix 2018-03-30 19:20:01 UTC
How is the file added to frameworks? How can i modify the one on my computer?
Comment 8 Christoph Feck 2018-03-30 21:34:45 UTC
relegious -> religious
Comment 9 sk.griffinix 2018-03-30 21:36:28 UTC
Oops
Comment 10 sk.griffinix 2018-03-30 21:40:21 UTC
I will change no earlier than 5:00:00 UTC
Comment 11 sk.griffinix 2018-03-31 04:42:30 UTC
Created attachment 111748 [details]
holiday file for india (spellings corrected)
Comment 12 Allen Winter 2018-04-02 17:30:35 UTC
Git commit c84e4d9d1724e4d49bbb2ae8db32c47a4c098ed7 by Allen Winter.
Committed on 02/04/2018 at 17:29.
Pushed by winterz into branch 'master'.

holidays/plan2/holiday_in_en-gb - update holiday file for India
Thank you for the patch.

M  +136  -29   holidays/plan2/holiday_in_en-gb

https://commits.kde.org/kholidays/c84e4d9d1724e4d49bbb2ae8db32c47a4c098ed7
Comment 13 Allen Winter 2018-04-02 19:37:46 UTC
I wonder how/if to backport this since kholidays was previously not a framework?